Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.blas
Class SSYR2

    java.lang.Object
      org.netlib.blas.SSYR2

    public class SSYR2

extends java.lang.Object

    SSYR2 is a simplified interface to the JLAPACK routine ssyr2.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSYR2  performs the symmetric rank 2 operation
     *
     *     A := alpha*x*y' + alpha*y*x' + A,
     *
     *  where alpha is a scalar, x and y are n element vectors and A is an n

     *  by n symmetric matrix.
     *
     *  Arguments
     *  ==========
     *
     *  UPLO   - CHARACTER*1.
     *           On entry, UPLO specifies whether the upper or lower
     *           triangular part of the array A is to be referenced as
     *           follows:
     *
     *              UPLO = 'U' or 'u'   Only the upper triangular part of A
     *                                  is to be referenced.
     *
     *              UPLO = 'L' or 'l'   Only the lower triangular part of A
     *                                  is to be referenced.
     *
     *           Unchanged on exit.
     *
     *  N      - INTEGER.
     *           On entry, N specifies the order of the matrix A.
     *           N must be at least zero.
     *           Unchanged on exit.
     *
     *  ALPHA  - REAL            .
     *           On entry, ALPHA specifies the scalar alpha.
     *           Unchanged on exit.
     *
     *  X      - REAL             array of dimension at least
     *           ( 1 + ( n - 1 )*abs( INCX ) ).
     *           Before entry, the incremented array X must contain the n
     *           element vector x.
     *           Unchanged on exit.
     *
     *  INCX   - INTEGER.
     *           On entry, INCX specifies the increment for the elements of
     *           X. INCX must not be zero.
     *           Unchanged on exit.
     *
     *  Y      - REAL             array of dimension at least
     *           ( 1 + ( n - 1 )*abs( INCY ) ).
     *           Before entry, the incremented array Y must contain the n
     *           element vector y.
     *           Unchanged on exit.
     *
     *  INCY   - INTEGER.
     *           On entry, INCY specifies the increment for the elements of
     *           Y. INCY must not be zero.
     *           Unchanged on exit.
     *
     *  A      - REAL             array of DIMENSION ( LDA, n ).
     *           Before entry with  UPLO = 'U' or 'u', the leading n by n
     *           upper triangular part of the array A must contain the upper

     *           triangular part of the symmetric matrix and the strictly
     *           lower triangular part of A is not referenced. On exit, the
     *           upper triangular part of the array A is overwritten by the
     *           upper triangular part of the updated matrix.
     *           Before entry with UPLO = 'L' or 'l', the leading n by n
     *           lower triangular part of the array A must contain the lower

     *           triangular part of the symmetric matrix and the strictly
     *           upper triangular part of A is not referenced. On exit, the
     *           lower triangular part of the array A is overwritten by the
     *           lower triangular part of the updated matrix.
     *
     *  LDA    - INTEGER.
     *           On entry, LDA specifies the first dimension of A as declared
     *           in the calling (sub) program. LDA must be at least
     *           max( 1, n ).
     *           Unchanged on exit.
     *
     *
     *  Level 2 Blas routine.
     *
     *  -- Written on 22-October-1986.
     *     Jack Dongarra, Argonne National Lab.
     *     Jeremy Du Croz, Nag Central Office.
     *     Sven Hammarling, Nag Central Office.
     *     Richard Hanson, Sandia National Labs.
     *
     *
     *     .. Parameters ..

Constructor Summary
`SSYR2()`

Method Summary
`static void` | `SSYR2(java.lang.String uplo, int n, float alpha, float[] x, int incx, float[] y, int incy, float[][] a)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSYR2

    public SSYR2()

Method Detail

### SSYR2

    public static void SSYR2(java.lang.String uplo,
                             int n,
                             float alpha,
                             float[] x,
                             int incx,
                             float[] y,
                             int incy,
                             float[][] a)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD